package rocks.zipcode;

import java.io.IOException;

/**
 * @author leon on 16/11/2018.
 */
public class NumericCharDocument extends Document {
    public NumericCharDocument(String fileName) throws IOException {
        super(fileName);
    }

    @Override
    public void write(String contentToBeWritten) {
        try {
            isNumeric(contentToBeWritten);
            super.write(contentToBeWritten);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    private void isNumeric(String s) throws IOException{
        if(!s.matches("[\\d\\s]*"))
            throw new IllegalArgumentException();
    }
}
