package rocks.zipcode;

import java.io.IOException;

/**
 * @author leon on 18/11/2018.
 */
public class SpecialCharDocument extends Document {
    public SpecialCharDocument(String fileName) throws IOException {
        super(fileName);
    }

    @Override
    public void write(String contentToBeWritten) {
        try {
            isSpecialCharacters(contentToBeWritten);
            super.write(contentToBeWritten);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    private void isSpecialCharacters(String s) throws IOException {
        if(!s.matches("[\\W_]*"))
            throw new IllegalArgumentException();
    }
}
