package rocks.zipcode;

import java.io.*;
import java.util.Scanner;

/**
 * @author leon on 16/11/2018.
 */
public class AlphaCharDocument extends Document {



    public AlphaCharDocument(String fileName) throws IOException {
        super(fileName);
    }

    @Override
    public void write(String contentToBeWritten) {
        try {
            isAlpha(contentToBeWritten);
            super.write(contentToBeWritten);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }



    private void isAlpha(String s) throws IOException{
        if(!s.matches("[a-zA-Z\\s]*"))
            throw new IllegalArgumentException();
    }
}
